Skip to main content
companies

Create a company

Creates a company in the studio. The name and a company category are required. Returns the created company.

POST
/v1/companies
beam-api-keystringheaderrequired

Body

application/json
attributesstring[] | null

Ids of the access attributes to assign to the company. Omit, send null or send an empty array for none.

categoryIdstringrequired

The id of the category to assign. Required, and must be a company category in the studio.

customFieldsobject

Custom field values keyed by company custom field definition id (from the studio). Each value is the content to store; send null to clear it. Keys that are not sent are left unchanged.

descriptionstring | null

The company description. Send null to clear it.

namestringrequired

The company name. Required and cannot be empty.

Minimum string length: 1
phonestring | null

The company phone number. Send null to clear it.

websitestring | null

The company website URL. Send null to clear it.

Response

application/json

The created company

assetCountnumberrequired
attributesstring[]required
categoryobject | nullrequired
contactCountnumberrequired
createdAtstringrequired
customFieldsobject | nullrequired
descriptionstring | nullrequired
idstringrequired
lastActivityAtstring | nullrequired
locationCountnumberrequired
namestringrequired
phonestring | nullrequired
reservationCountnumberrequired
reservationsnumber[]required
studioIdstringrequired
ticketCountnumberrequired
updatedAtstringrequired
websitestring | nullrequired